Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp
Class PGPObjectFactory

    java.lang.Object
      org.bouncycastle.openpgp.PGPObjectFactory

    public class PGPObjectFactory

extends java.lang.Object

General class for reading a PGP object stream.

Note: if this class finds a PGPPublicKey or a PGPSecretKey it will create a PGPPublicKeyRing, or a PGPSecretKeyRing for each key found. If all you are trying to do is read a key ring file use either PGPPublicKeyRingCollection or PGPSecretKeyRingCollection.

Constructor Summary
`PGPObjectFactory(byte[] bytes)`
`PGPObjectFactory(java.io.InputStream in)`

Method Summary
`java.lang.Object` `nextObject()` Return the next object in the stream, or null if the end is reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPObjectFactory

    public PGPObjectFactory(java.io.InputStream in)

### PGPObjectFactory

    public PGPObjectFactory(byte[] bytes)

Method Detail

### nextObject

    public java.lang.Object nextObject()
                                throws java.io.IOException

  Return the next object in the stream, or null if the end is reached.

  Returns:
    Object
  Throws:
    `java.io.IOException` - on a parse error

Bouncy Castle Cryptography Library 1.45